
# TkScan Version and Date
set c(version)     "0.8"
set c(date)        "May 1997"

#----------------------------------------------------------------
# About TkScan
#----------------------------------------------------------------
set about_tkscan "
TkScan
Version $c(version), $c(date)\n
A tcl/tk GUI for command-line scanner driver
Written by Hang-Bae Kim (hbkim@delta.ft.uam.es)
Copying policy : GNU Public License
"

#----------------------------------------------------------------
# README
#----------------------------------------------------------------
set readme_tkscan "
   TkScan version $c(version)
   A tcl/tk GUI for command-line scanner driver
   Copyright (C) 1997 Hang Bae Kim (hbkim@delta.ft.uam.es)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

 TkScan is a tcl/tk GUI for command-line scanner driver.
 I have written it for my own use with my Mustek 800IISP scanner.
 But I put it in the public with the hope that it may be helpful to someone.
 Remember that scanning itself is done by the scanner driver not by this
 GUI.  Therefore you NEED the appropriate command-line scanner driver for
 your scanner. TkScan just does the scanning area selection on a previewed
 image, the choice of options, e.g. scanning mode, resolution and some
 enhancements like gamma correction, running scanner driver and sending the
 output where you want.  You can fit it to your scanner and driver without
 much difficulty, by modifying `scanner_driver'.tcl referring your driver
 manual.

 Currently it supports
    * Epson SCSI scanner via `ep_scan'
    * HP SCSI scanner via `hpscanpbm'
    * Microtek SCSI scanner via `mtekscan'
    * Mustek Flatbed scanner via `scanimage'(SANE) or `mscan'

    - I wrote `epson-ep_scan.tcl' `hp-hpscanpbm.tcl' `microtek-mtekscan.tcl'
      just referring manuals, without testing.  They can be considered as
      scratch.  So they may not work, or even may include simple typos.
      I hope you can cope with this situation. If you write a correctly
      working script, please send a copy to me.
    - I give thanks to Boris Tobotras(tobotras@jet.msk.su) for sending
      the patch for hpscanpbm.

 With TkScan you can
    * preview an image to be scanned on a small canvas whose size and
      mode you can select
    * adjust scanning mode and resolutions and other options
      supported by the scanner and driver with mouse clicks
    * select the one or more scanning areas on a previewed image canvas
      If you select several scanning areas, TkScan will scan them successively.
      TkScan shows the expected screen pixel sizes and raw data sizes of the
      images as well as its real size in several length units (mm,cm,pt,inch).
    * make the output raw data directly go where you want:
        - to image editor (XV, ImageMagic or GIMP),
        - to file in the format you want,
        - to printer or to ghostscript(ghostview or gv) in postscript format
          with the size and position adjustment,
        - to fax modem to be directly sent as a fax,
        - to the ocr software to be processed by ocr
          (_not_ implemented yet in this version).
    * see the progress of scanning both in graphic and numeric percentage
      and file size fraction.
    * interrupt scanning with the Stop button.
    * configure TkScan to fit it to your tastes.
    
 TkScan requires
    * Scanner and command-line driver listed above, or you can add your own.
    * Tcl/Tk, probably most versions will work.
    * ImageMagic, to convert the scanned image to various formats
    * XV, ImageMagic, or GIMP or all of them, for ImageEditor
    * Ghostscript and ghostview(or gv), to view the postscript output
    * Efax, to send the scanned image to a fax modem

    - I left the output to OCR blank, Because I could not find a good
      OCR software for Linux.  Does anyone know about it?
    - All the above binaries should lie in your PATH.

 How to use
    See Guide in the Help menu.

 Bug or Comment to
    Hang-Bae Kim, hbkim@delta.ft.uam.es
"

